DynamicMBeanProxy (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.mx.DynamicMBeanProxy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.mx
Class DynamicMBeanProxy

    java.lang.Object
      org.apache.tomcat.util.mx.DynamicMBeanProxy

All Implemented Interfaces:
  javax.management.DynamicMBean

Deprecated. The same functionality ( and more ) is now available in commons-modeler

public class DynamicMBeanProxy
extends java.lang.Object
implements javax.management.DynamicMBean

DynamicMBean implementation using introspection to manage any component that follows the bean/ant/Interceptor/Valve/Jk2 patterns. The class will wrap any component conforming to those patterns.

Author:
  Costin Manolache

Constructor Summary
`DynamicMBeanProxy()` Deprecated. Create a Dynamic proxy, using introspection to manage a real tomcat component.

Method Summary
`static java.lang.String` | `createMBean(java.lang.Object proxy, java.lang.String domain, java.lang.String name)` Deprecated.
`static java.lang.String` | `generateName(java.lang.Class realClass)` Deprecated. If a name was not provided, generate a name based on the class name and a sequence number.
`java.lang.Object` | `getAttribute(java.lang.String attribute)` Deprecated.
`javax.management.AttributeList` | `getAttributes(java.lang.String[] attributes)` Deprecated.
`javax.management.MBeanInfo` | `getMBeanInfo()` Deprecated.
`static javax.management.MBeanServer` | `getMBeanServer()` Deprecated.
`java.lang.String` | `getName()` Deprecated.
`java.lang.Object` | `invoke(java.lang.String method, java.lang.Object[] arguments, java.lang.String[] params)` Deprecated. Invoke a method.
`java.lang.String` | `registerMBean(java.lang.String domain)` Deprecated.
`void` | `setAttribute(javax.management.Attribute attribute)` Deprecated.
`javax.management.AttributeList` | `setAttributes(javax.management.AttributeList attributes)` Deprecated.
`void` | `setName(java.lang.String name)` Deprecated.
`void` | `setReal(java.lang.Object realBean)` Deprecated. Set the managed object.
`static java.lang.String` | `unCapitalize(java.lang.String name)` Deprecated.
`static void` | `unregisterMBean(java.lang.Object o, java.lang.String name)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicMBeanProxy

    public DynamicMBeanProxy()

  Deprecated.
  Create a Dynamic proxy, using introspection to manage a real tomcat component.

Method Detail

### setName

    public void setName(java.lang.String name)

  Deprecated.

### getName

    public java.lang.String getName()

  Deprecated.

### generateName

    public static java.lang.String generateName(java.lang.Class realClass)

  Deprecated.
  If a name was not provided, generate a name based on the class name and a sequence number.

### createMBean

    public static java.lang.String createMBean(java.lang.Object proxy,
                                               java.lang.String domain,
                                               java.lang.String name)

  Deprecated.

### registerMBean

    public java.lang.String registerMBean(java.lang.String domain)

  Deprecated.

### unregisterMBean

    public static void unregisterMBean(java.lang.Object o,
                                       java.lang.String name)

  Deprecated.

### getMBeanServer

    public static javax.management.MBeanServer getMBeanServer()

  Deprecated.

### setReal

    public void setReal(java.lang.Object realBean)

  Deprecated.
  Set the managed object.

### getMBeanInfo

    public javax.management.MBeanInfo getMBeanInfo()

  Deprecated.
  Specified by:
    `getMBeanInfo` in interface `javax.management.DynamicMBean`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attribute)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Deprecated.
  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Deprecated.
  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### invoke

    public java.lang.Object invoke(java.lang.String method,
                                   java.lang.Object[] arguments,
                                   java.lang.String[] params)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Deprecated.
  Invoke a method. Only no param methods are supported at the moment ( init, start, execute, etc ) ( that's the most common pattern we have in tomcat/ant/etc )

  Specified by:
    `invoke` in interface `javax.management.DynamicMBean`
  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### setAttributes

    public javax.management.AttributeList setAttributes(javax.management.AttributeList attributes)

  Deprecated.
  Specified by:
    `setAttributes` in interface `javax.management.DynamicMBean`

### getAttributes

    public javax.management.AttributeList getAttributes(java.lang.String[] attributes)

  Deprecated.
  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`

### unCapitalize

    public static java.lang.String unCapitalize(java.lang.String name)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.